Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-14.txt

From: [email-masked]
Date: Fri, 19 Nov 2021 09:20:45 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
                          John Gray
	Filename        : draft-ietf-lamps-cmp-updates-14.txt
	Pages           : 68
	Date            : 2021-11-19

Abstract:
   This document contains a set of updates to the syntax and transfer of
   Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210, RFC 5912, and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, clarifying the handling of p10cr messages,
   improving the crypto agility, as well as adding new general message
   types, extended key usages to identify certificates for use with CMP,
   and '.well-known' HTTP path segments.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

   CMP version 3 is introduced to enable signaling support of
   EnvelopedData instead of EncryptedValue and signaling the use of an
   explicit hash AlgorithmIdentifier in certConf messages, as far as
   needed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-14.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-14

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 19 Nov 2021 17:30:29 +0000

As discussed at IETF 112 and on the email list, I performed the following final changes.
The I-D should be ready for WGLC.

   From version 13 -> 14:
   *  Extended id-it-caCerts support message to allow transporting to-
      be-trusted root CA certificates; added respective security
      consideration (see thread "Generalizing the CMP "Get CA
      certificates" use case")
   *  Rolled back changes made in previous version regarding root CA
      update to avoid registration of new OIDs.  Yet we sticked to using
      id-it-rootCaCert in the genm body instead its headers' generalInfo
      field and removed the ToDos and TBDs on re-arranging id-it OIDs
      (see thread "Allocation of OIDs for CRL update retrieval (draft-
      ietf-lamps-cmp-updates-13)")

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> Gesendet: Freitag, 19. November 2021 18:21
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> C594b080b36b845a5f89e08d9ab80f18a%7C38ae3bcd95794fd4addab42e1495
> d55a%7C1%7C0%7C637729392581607966%7CUnknown%7CTWFpbGZsb3d8ey
> JWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7
> C3000&amp;sdata=kxMcfpimISlLAuMKNXcXEUZuWjCbyuAbeUrnb80v1Ds%3D
> &amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 14.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C594
> b080b36b845a5f89e08d9ab80f18a%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637729392581607966%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=sugaFDMb94PmNdaxSOVZ5BAU7%2Ftg%2Bffp2xLHnIfv40M%3
> D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 14&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C594b080
> b36b845a5f89e08d9ab80f18a%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637729392581607966%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&
> amp;sdata=Y6E5ekdaS1cJpn2NeYhG6GWcc9CCzB2bUHzON4PVuRM%3D&amp
> ;reserved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.o
> rg%2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C5
> 94b080b36b845a5f89e08d9ab80f18a%7C38ae3bcd95794fd4addab42e1495d5
> 5a%7C1%7C0%7C637729392581607966%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C
> 3000&amp;sdata=DG53NcKszzmiD3iGxymD86jDGC7YPYvEZhcDC%2BEWp5k%
> 3D&amp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> ockhaus%40siemens.com%7C594b080b36b845a5f89e08d9ab80f18a%7C38ae
> 3bcd95794fd4addab42e1495d55a%7C1%7C0%7C637729392581607966%7CUn
> known%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik
> 1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=3RnygLALvuFEevMtvaQg%2Fe
> VHK7ml1ROif7COVs2miqM%3D&amp;reserved=0

---

From: Russ Housley <[email-masked]>
Date: Fri, 19 Nov 2021 12:33:59 -0500

If I did the edits to my ASN.1 modules correctly from the diff, then the modules in this document now compile.

Russ

> On Nov 19, 2021, at 12:20 PM, [email-masked] wrote:
> 
> 
> https://www.ietf.org/mailman/listinfo/spasm

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 19 Nov 2021 17:54:40 +0000

Good to hear and thanks for testing.
Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von Russ Housley
> Gesendet: Freitag, 19. November 2021 18:34
> 
> Ca2271c7200f44aef873608d9ab82cec8%7C38ae3bcd95794fd4addab42e1495d
> 55a%7C1%7C0%7C637729400576973925%7CUnknown%7CTWFpbGZsb3d8eyJ
> 3000&amp;sdata=KO3HuHDv7m80zdNhJWFtq%2BBUf0YKwpaWxXL%2BxzXCC
> h8%3D&amp;reserved=0
> >
> 14.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca22
> 71c7200f44aef873608d9ab82cec8%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637729400576973925%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> 00&amp;sdata=UYsxnIEy5Lvyr0oFupEeKBJbum2nxIjJD68Jj9sq0bI%3D&amp;re
> served=0
> >
> 14&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca2271c72
> 00f44aef873608d9ab82cec8%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C637729400576973925%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&am
> p;sdata=1DDPuhjSQGHSBBI%2BuUov%2FYdIqWi6fqGPuAM%2Byv1WqqI%3D
> &amp;reserved=0
> >
> >
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca
> 2271c7200f44aef873608d9ab82cec8%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637729400576973925%7CUnknown%7CTWFpbGZsb3d8eyJWI
> joiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=%2BldxzAt97vIlDPdCZuqqrMaiO72ZG3PczQh4WHomZwc%3D
> &amp;reserved=0
> >
> >
> ockhaus%40siemens.com%7Ca2271c7200f44aef873608d9ab82cec8%7C38ae3
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637729400576973925%7CUnk
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=0Ump4dpl7V4HGw0ua98mDC
> G8E0jI92uuESyOoRqwXkM%3D&amp;reserved=0
> 
> ockhaus%40siemens.com%7Ca2271c7200f44aef873608d9ab82cec8%7C38ae3
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637729400576973925%7CUnk
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=0Ump4dpl7V4HGw0ua98mDC
> G8E0jI92uuESyOoRqwXkM%3D&amp;reserved=0